CVE-2019-9789

HIGH

Description

Mozilla developers and community members reported memory safety bugs present in Firefox 65. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code. This vulnerability affects Firefox < 66.

References

https://bugzilla.mozilla.org/buglist.cgi?bug_id=1520483%2C1522987%2C1528199%2C1519337%2C1525549%2C1516179%2C1518524%2C1518331%2C1526579%2C1512567%2C1524335%2C1448505%2C1518821

https://www.mozilla.org/security/advisories/mfsa2019-07/

Details

Source: MITRE

Published: 2019-04-26

Updated: 2019-04-26

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:mozilla:firefox:*:*:*:*:*:*:*:*

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
124114Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS / 18.10 : Firefox regressions (USN-3918-4)NessusUbuntu Local Security Checks
high
700487Mozilla Firefox < 66.0 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
high
123502Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS / 18.10 : Firefox regression (USN-3918-3)NessusUbuntu Local Security Checks
high
123127Ubuntu 14.04 LTS : Firefox vulnerabilities (USN-3918-2)NessusUbuntu Local Security Checks
high
123078Ubuntu 16.04 LTS / 18.04 LTS / 18.10 : Firefox vulnerabilities (USN-3918-1)NessusUbuntu Local Security Checks
high
122959FreeBSD : mozilla -- multiple vulnerabilities (05da6b56-3e66-4306-9ea3-89fafe939726)NessusFreeBSD Local Security Checks
high
122948Mozilla Firefox < 66.0NessusWindows
high
122947Mozilla Firefox < 66.0NessusMacOS X Local Security Checks
high